# Dawn Project
Simple in code, complex in structure game engine for creating small, fast and
reusable games.

## Folder Structure
```Markdown
.
├── assets                  # Game Assets and Files (before optimization)
├── cmake
|   ├── modules             # Tools to allow CMake to find third-party libraries
|   ├── targets             # Variable lists to control what will be built
├── lib                     # Third-Party Submodule Libraries
├── src
|   ├── dawn                # Game engine, common project tools and utilities
|   ├── dawnglfw            # Engine files for GLFW Support
|   ├── dawnopengl          # Engine files for OpenGL Support
|   ├── dawnpokergame       # Poker Game Project
|   ├── dawnwin32           # Engine files for WIN32 Host
```